import { Injectable } from '@angular/core';

import { Observable, of } from 'rxjs';
import { CreateTeam } from '../models/create-team';

import { Team } from '../models/team'

@Injectable({
  providedIn: 'root'
})
export class TeamService {

  teams : Team[] = [
    {id: 1, name: 'Toronto Maple Leafs'},
    {id: 2, name: 'Boston Bruins'}
  ];

  constructor() { }

  getTeams(): Observable<Team[]> {
    return of(this.teams);
  }

  createTeam(team: CreateTeam) : void {

  }
}
